## icu 4.8.1.1

=== debian/changelog ===
icu (4.8.1.1-8ubuntu0.1) quantal-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    race condition.
    - debian/patches/CVE-2013-0900.patch: fix thread safety issue in
      source/common/locid.cpp, source/common/unicode/locid.h.
    - CVE-2013-0900
  * SECURITY UPDATE: denial of service and possible code execution via
    use after free.
    - debian/patches/CVE-2013-2924.patch: check lengths in
      source/i18n/csrucode.cpp.
    - CVE-2013-2924

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Oct 2013 10:33:37 -0400

icu (4.8.1.1-8) unstable; urgency=low

  * Switch hardening back to hardening-wrapper again since otherwise some
    things sneak into icu-config's output.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 05 Jun 2012 14:27:27 -0400

icu (4.8.1.1-7) unstable; urgency=low

  * Switch hardening back to dpkg-buildoptions.
  * Fix doc install for newer doxygen.  (Closes: #674382)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 24 May 2012 13:55:13 -0400

icu (4.8.1.1-6) unstable; urgency=low

  * Remove 32-bit packages built on 64-bit architectures, and enable
    Multiarch.  (Closes: #665416)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 22 Apr 2012 08:40:16 -0400

icu (4.8.1.1-5) unstable; urgency=low

  * Enable security hardening flags.  Thanks to Simon Ruderich for doing
    100% of the work, sending a clean patch, and providing clear
    instructions on how to verify.  (Closes: #663601)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 23 Mar 2012 22:45:55 -0400

icu (4.8.1.1-4) unstable; urgency=low

  * Add patch to add CCMP support for Indic.  (Closes: #655101)
  * Update standards version.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 11 Mar 2012 18:30:29 -0400

icu (4.8.1.1-3) unstable; urgency=high

  * Add patch to address CVE-2011-4599, a potential buffer overflow.
    (Closes: #654883)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jan 2012 19:44:44 -0500

icu (4.8.1.1-2) unstable; urgency=low

  * debian/patches/icudata-stdlibs.patch: Link stdlibs to libicudata so we
    get reasonably sane ELF headers on armhf.  Thanks Adam Conrad
    <adconrad@ubuntu.com>.  (Closes: #653457)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 04 Jan 2012 09:52:11 -0500

icu (4.8.1.1-1) unstable; urgency=low

  * New upstream release
  * Add simple patch to define PATH_MAX when not defined.  Not an ideal
    solution, but it will do for now.  (Closes: #643661)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 09 Nov 2011 09:59:08 -0500

icu (4.8.1-2) experimental; urgency=low

  * Fix 64-bit kfreebsd configure problem.  Thanks Petr Salinger.
    (Closes: #630517)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 10 Sep 2011 08:17:58 -0400

icu (4.8.1-1) experimental; urgency=low

  * New upstream release
  * Remove 32-bit source directory on clean.  (Closes: #630514)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 03 Sep 2011 10:14:57 -0400

icu (4.8-1) experimental; urgency=low

  * New upstream release
  * Upstream release includes fix to RegexMatch crash (Closes: #606886)
  * Updated standards to 3.9.2; no changes required

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 28 May 2011 11:30:22 -0400

=== debian/control ===
Source: icu
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
Standards-Version: 3.9.3
Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), doxygen (>= 1.7.1), hardening-wrapper
Homepage: http://www.icu-project.org

Package: libicu48
Section: libs
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: libicu48-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libicu48 (= ${binary:Version})
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains debugging symbols
 for the libraries.

Package: libicu-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libicu48 (= ${binary:Version}), libc6-dev | libc-dev
Suggests: icu-doc
Description: Development files for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU along with programs used to manipulate data files found
 in the ICU sources.

Package: icu-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API documentation for ICU classes and functions
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains HTML files
 documenting the ICU APIs.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_CONFIGURE_USER_FLAGS = --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
	--disable-samples --enable-static --enable-weak-threads

# To distinguish variables that are truly local to this file (rather
# than for use by cdbs), we adopt the convention of starting local
# variables' names with l_.

l_SONAME := 48

# Turn off optimization on armel to avoid some internal compiler
# errors.  This can be removed once bug 484053 is resolved.
ifeq ($(shell dpkg --print-architecture),armel)
CFLAGS := $(filter-out -O%,$(CFLAGS)) -O0
CXXFLAGS := $(filter-out -O%,$(CXXFLAGS)) -O0
endif

# Include cdbs rules files.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Variables used by cdbs
DEB_MAKE_INSTALL_TARGET := \
	$(DEB_MAKE_INSTALL_TARGET:install=install install-doc)
DEB_SRCDIR = source
DEB_COMPRESS_EXCLUDE = html examples
DEB_INSTALL_EXAMPLES_libicu-dev = \
	source/samples/*

DEB_DBG_PACKAGE_libicu$(l_SONAME) = libicu$(l_SONAME)-dbg

override DEB_MAKE_CHECK_TARGET = check

clean::
	$(RM) *.cdbs-config_list

## icu 4.8.1.1-3maemo2

=== debian/changelog ===
icu (4.8.1.1-3maemo2) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniuczuk <marmistrz@linux.pl>  Wed, 28 Nov 2012 16:58:26 +0100

=== debian/control ===
Source: icu
Section: libs
Priority: optional
Maintainer: Marcin Mielniuczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
Standards-Version: 3.9.2
Build-Depends: cdbs, debhelper (>= 5), doxygen, gcc-multilib [amd64 kfreebsd-amd64 ppc64] | gcc-4.1 (<< 4.1.2) [amd64 kfreebsd-amd64 ppc64],
 g++-multilib [amd64 kfreebsd-amd64 ppc64] | g++-4.1 (<< 4.1.2) [amd64 kfreebsd-amd64 ppc64],
 libc6-dev-i386 [amd64], libc0.1-dev-i386 [kfreebsd-amd64], libc6-dev-powerpc [ppc64], maemo-optify
Homepage: http://www.icu-project.org

Package: libicu48
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libicu44
Replaces: libicu44
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: libicu48-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libicu48 (= ${binary:Version})
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains debugging symbols
 for the libraries.

Package: libicu48-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libicu48 (= ${binary:Version}), libc6-dev | libc-dev
Conflicts: libicu-dev
Replaces: libicu-dev
Provides: libicu-dev
Suggests: icu-doc
Description: Development files for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU along with programs used to manipulate data files found
 in the ICU sources.

Package: lib32icu48
Section: libs
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: International Components for Unicode (32-bit)
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: lib32icu-dev
Section: libdevel
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${misc:Depends}, libicu-dev (= ${binary:Version}), lib32icu48 (= ${binary:Version})
Suggests: icu-doc
Description: Development files for International Components for Unicode (32-bit)
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU along with programs used to manipulate data files found
 in the ICU sources.

Package: icu48-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API documentation for ICU classes and functions
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains HTML files
 documenting the ICU APIs.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# To distinguish variables that are truly local to this file (rather
# than for use by cdbs), we adopt the convention of starting local
# variables' names with l_.

l_SONAME := 48
l_CFLAGS := -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	l_CFLAGS += -O0
else
	l_CFLAGS += -O2
endif

# Turn off optimization on armel to avoid some internal compiler
# errors.  This can be removed once bug 484053 is resolved.
ifeq ($(shell dpkg --print-architecture),armel)
l_CFLAGS := $(filter-out -O%,$(l_CFLAGS)) -O0
endif

# common configure cruft
l_CONFIGURE = CC="gcc" CXX="g++" CPPFLAGS="" LDFLAGS="" \
	./configure \
	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	--includedir="\$${prefix}/include" \
	--mandir="\$${prefix}/share/man" --infodir="\$${prefix}/share/info" \
	--sysconfdir=/etc --localstatedir=/var \
	--disable-maintainer-mode --disable-dependency-tracking
# specific to this package
l_CONFIGURE += --disable-samples --enable-static --enable-weak-threads

ifneq (, $(filter $(DEB_HOST_ARCH_CPU), amd64 ppc64 kfreebsd-amd64))
build32 := build32
endif

# Variables used by cdbs

VERSION := $(shell dpkg-parsechangelog | \
             awk '/Version:/ {print $$2}' | cut -d- -f 1)

DEB_SRCDIR = $(CURDIR)/source
DEB_COMPRESS_EXCLUDE = html examples
DEB_INSTALL_EXAMPLES_libicu-dev = \
	source/samples/*

# Overridden for 32-bit packages on 64-bit platforms
DEB_DH_INSTALL_SOURCEDIR=debian/tmp

DEB_DBG_PACKAGE_libicu$(l_SONAME) = libicu$(l_SONAME)-dbg

override DEB_MAKE_CHECK_TARGET = check

# Include cdbs rules files.
include /usr/share/cdbs/1/rules/debhelper.mk

# As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
# creates it conditionally, so this doesn't have a trivial fix.
clean::
	$(RM) debian/compat *.cdbs-config_list
	$(RM) -rf debian/tmp32
	$(RM) debian/stamp-configure debian/stamp-configure32
	$(RM) -rf $(DEB_SRCDIR)-build32

post-patches::
	chmod a+x $(DEB_SRCDIR)/configure
ifneq (, $(build32))
	cp -a $(DEB_SRCDIR) $(DEB_SRCDIR)-build32
endif

configure/libicu$(l_SONAME) configure/libicu-dev:: debian/stamp-configure
debian/stamp-configure:
	cd $(DEB_SRCDIR) && \
		CFLAGS="$(l_CFLAGS)" CXXFLAGS="$(l_CFLAGS)" \
		$(l_CONFIGURE)
	touch debian/stamp-configure

configure/lib32icu$(l_SONAME) configure/lib32icu-dev:: debian/stamp-configure32
debian/stamp-configure32:
	cd $(DEB_SRCDIR)-build32 && \
		CFLAGS="$(l_CFLAGS) -m32" CXXFLAGS="$(l_CFLAGS) -m32" \
		$(l_CONFIGURE) --libdir=/usr/lib32
	touch debian/stamp-configure32

build/libicu$(l_SONAME) build/libicu-dev::
	$(MAKE) -C $(DEB_SRCDIR)

build/lib32icu$(l_SONAME) build/lib32icu-dev::
	$(MAKE) -C $(DEB_SRCDIR)-build32

install/libicu$(l_SONAME) install/libicu-dev::
	$(MAKE) -C $(DEB_SRCDIR) install DESTDIR=$(CURDIR)/debian/tmp

binary-install/lib32icu$(l_SONAME) binary-install/lib32icu-dev:: DEB_DH_INSTALL_SOURCEDIR=debian/tmp32
install/lib32icu$(l_SONAME) install/lib32icu-dev::
	$(MAKE) -C $(DEB_SRCDIR)-build32 install DESTDIR=$(CURDIR)/debian/tmp32

install/icu-doc:: install/libicu$(l_SONAME) install/libicu-dev
	$(MAKE) -C $(DEB_SRCDIR) install-doc DESTDIR=$(CURDIR)/debian/tmp

# Install lintian override files
binary-post-install/%::
	if [ -f debian/$*.lintian ]; then \
	    mkdir -p debian/$*/usr/share/lintian/overrides && \
	    cp -p debian/$*.lintian debian/$*/usr/share/lintian/overrides/$*; \
	fi

binary-predeb/%::
	perl debian/fix_substvars.pl debian/$*.substvars 'lib(32)?icu.*'

binary-makedeb/%::
	maemo-optify $*

## icu 52.1

=== source/samples/legacy/Makefile ===
# Copyright (c) 2001-2004 IBM, Inc. and others
# conversion sample code


# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - set the variable ICU_PREFIX to point at $(prefix)
#    (will look for $(prefix)/lib/icu/Makefile.inc )
# 
#  - set the variable ICU_LEGACY  (read the README)
#   ( Will look for ICU_LEGACY/include/unicode/ucol.h )
#  
#  - do 'make' in this directory

#ICU_PREFIX=/home/weiv/build/current
#ICU_LEGACY = /home/weiv/build/icu-1-8-1

LEGACY_INCLUDE = $(ICU_LEGACY)/include

ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
ICUPATH=

-include $(ICU_INC)

# Name of your target
TARGET=legacy

# All object files (C or C++)
OBJECTS=legacy.o newcol.o oldcol.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

# turn on super warnings
#CPPFLAGS += -Wall

all: $(TARGET) $(ICU_INC)

.PHONY: all clean distclean check report

oldcol.o : oldcol.cpp $(LEGACY_INCLUDE)/unicode/ucol.h
	$(CXX) -I$(LEGACY_INCLUDE) $(DEFS) $(CPPFLAGS) $(CXXFLAGS) -c oldcol.cpp

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS) $(ICU_PREFIX)/lib/libicuuc.so.18 $(ICU_PREFIX)/lib/libicui18n.so.18 

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(INVOKE) ./$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo ICU_PREFIX variable is not set correctly
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "And the README"
	@echo "Can't open $(ICU_INC)"
	@false

$(LEGACY_INCLUDE)/unicode/ucol.h:
	@echo ICU_LEGACY variable is not set correctly.
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "And the README"
	@echo "Can't open $@"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/uresb/Makefile ===
# Copyright (c) 2000-2005 IBM, Inc. and others
# conversion sample code
# Usage:
#  - configure, build, install ICU
#  - ensure that 'icu-config' is in the PATH (PREFIX/bin/icu-config) 
#  - if ICU is not built relative to this directory,
#      set the variable ICU_PATH to the 'icu' directory
#       (i.e.  /foo/icu  )
#  - do 'make' in this directory

include ../defs.mk

ICU_DEFAULT_PATH=../../..

ifeq ($(strip $(ICU_PATH)),)
  ICU_PATH=$(ICU_DEFAULT_PATH)
endif

GENRBOPT = -s. -d.

# Name of your target
TARGET=uresb
PKG=$(TARGET)
RES_SRC=root.txt en.txt sr.txt
RESOURCES=$(RES_SRC:%.txt=%.res)

# All object files (C or C++)
OBJECTS=uresb.o

CLEANFILES=*~ $(TARGET).out

all: $(RESOURCES) $(TARGET) 

uresb.o:  $(ICU_PATH)/source/tools/toolutil/uoptions.h

$(ICU_PATH)/source/tools/toolutil/uoptions.h:
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $@ - check ICU_PATH"
	@false

CPPFLAGS += -I$(ICU_PATH)/source/tools/toolutil
LDFLAGS += -L$(ICU_PATH)/source/tools/toolutil $(shell icu-config --ldflags-toolutil --ldflags-icuio)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET) $(RESOURCES)


## resources
%.res: %.txt
	@echo "generating $@"
	$(GENRB) $(GENRBOPT) $^

## Special for a special codepage
sr.res : sr.txt
	@echo "generating $@"
	$(GENRB) $(GENRBOPT) -e cp1251 $?

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(CC) -o $@ $^ $(LDFLAGS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET) $(RESOURCES)
	$(INVOKE) ./$(TARGET) en | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

=== debian/changelog ===
icu (52.1-3) unstable; urgency=medium

  * Add package dependency information to assist with upgrades in Ubuntu.
    This eliminates the need for a delta on the Ubuntu version of the
    package.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 24 Dec 2013 11:45:03 -0500

icu (52.1-2) unstable; urgency=low

  * Re-upload to unstable

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 03 Dec 2013 16:05:40 -0500

icu (52.1-1) experimental; urgency=low

  * New upstream release
  * Standards version 3.9.5 (no changes required)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 13 Nov 2013 16:20:40 -0500

icu (52~m1-2) experimental; urgency=low

  * Updated year in copyright file
  * Standards version 3.9.4 (no changes required)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 15 Sep 2013 09:02:30 -0400

icu (52~m1-1) experimental; urgency=low

  * New upstream release
  * Fixed debian/watch file based on new version numbering
  * Various bugs have been fixed upstream.  (Closes: #712501, #690156)
  * Avoid packaging debugging library for libicudata since it has no
    debugging symbols in it.  (Closes: #698696)
  * Clarify some ambiguous language in the copyright file, and address the
    issue of derived data from an IETF RFC that does not actually appear
    in the sources.  (Closes: #721590)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 14 Sep 2013 20:52:27 -0400

icu (4.8.1.1-14) unstable; urgency=high

  * Acknowledge NMU.  Thanks.
  * Update standards version to 3.9.5.  No changes required.
  * No changes other than version numbers; uploading with urgency=high.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 13 Nov 2013 16:19:32 -0500

icu (4.8.1.1-13+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2013-2924: use-after-free issue in csrucode.cpp (closes: #726477).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Oct 2013 03:49:58 +0000

icu (4.8.1.1-13) unstable; urgency=low

  * Multi-arch libicu-dev.  Thanks Dmitrijs Ledkovs
    <dmitrij.ledkov@ubuntu.com>!  (Closes: #699763)
  * Mark doxygen as architecture-independent build dependency.
    (Closes: #706795)
  * Depend on autotools-dev to update config.guess

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 21 Aug 2013 20:01:15 -0400

icu (4.8.1.1-12) unstable; urgency=high

  * Add patch to address CVE-2013-0900, a threading race condition.
    (Closes: #702346)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 21 Mar 2013 11:29:08 -0400

icu (4.8.1.1-11) unstable; urgency=medium

  * Fix crash on rendering incremental Malayalam text input.  Thanks Colin
    Watson. (Closes: #702982)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 16 Mar 2013 14:58:15 -0400

icu (4.8.1.1-10) unstable; urgency=low

  * Include pkg-config files in dev package.  Thanks Tommi Vainikainen.
    (Closes: #687339)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Nov 2012 14:37:40 -0500

icu (4.8.1.1-9) unstable; urgency=low

  * debian/rules: Use xz compression for binary packages.
    (Closes: #683901)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 11 Aug 2012 12:41:28 -0400

=== debian/control ===
Source: icu
Section: libs
Priority: optional
Maintainer: Jay Berkenbilt <qjb@debian.org>
Standards-Version: 3.9.5
Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), autotools-dev, hardening-wrapper
Build-Depends-Indep: doxygen (>= 1.7.1)
Homepage: http://www.icu-project.org

Package: libicu52
Section: libs
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: libicu52-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libicu52 (= ${binary:Version})
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains debugging symbols
 for the libraries.

Package: libicu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libicu52 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
Suggests: icu-doc
Description: Development files for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU.

Package: icu-devtools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 52.1-3~)
Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 52.1-3~)
Description: Development utilities for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support. This package contains programs used to
 manipulate data files found in the ICU sources and is a dependency of
 libicu-dev.  End users would generally not need to install this package.

Package: icu-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API documentation for ICU classes and functions
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains HTML files
 documenting the ICU APIs.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

# Install all ICU headers files in the architecture-specific location.
# While most files are platform-independent, platform.h is different
# between big and little endina systems, and it's easier to have all
# header files in a single directory so that icu-config and pkg-config
# continue to work.
DEB_CONFIGURE_USER_FLAGS = --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
	--includedir="\$${prefix}/include/$(DEB_HOST_MULTIARCH)" \
	--disable-samples --enable-static --enable-weak-threads

# To distinguish variables that are truly local to this file (rather
# than for use by cdbs), we adopt the convention of starting local
# variables' names with l_.

l_SONAME := 52

# Turn off optimization on armel to avoid some internal compiler
# errors.  This can be removed once bug 484053 is resolved.
ifeq ($(shell dpkg --print-architecture),armel)
CFLAGS := $(filter-out -O%,$(CFLAGS)) -O0
CXXFLAGS := $(filter-out -O%,$(CXXFLAGS)) -O0
endif

# Include cdbs rules files.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Variables used by cdbs
DEB_MAKE_INSTALL_TARGET := \
	$(DEB_MAKE_INSTALL_TARGET:install=install install-doc)
DEB_SRCDIR = source
DEB_COMPRESS_EXCLUDE = html examples
DEB_INSTALL_EXAMPLES_libicu-dev = \
	source/samples/*
DEB_DH_BUILDDEB_ARGS = -- -Zxz
DEB_DBG_PACKAGE_libicu$(l_SONAME) = libicu$(l_SONAME)-dbg

override DEB_MAKE_CHECK_TARGET = check

clean::
	$(RM) *.cdbs-config_list

# The libicudata library contains no symbols, so its debug library is
# useless and triggers lintian warnings.  Just remove it.
binary-predeb/libicu$(l_SONAME)-dbg::
	for i in `find debian/libicu$(l_SONAME)-dbg/usr/lib/debug -type f -print`; do \
	   if ! nm -a $$i | grep -q debug; then rm $$i; fi; \
	done
	-find debian/libicu$(l_SONAME)-dbg/usr/lib/debug -type d -empty -exec rmdir {} \;

=== debian/watch ===
version=3
opts="uversionmangle=s/_/\./g" \
http://download.icu-project.org/files/icu4c/(\d+\.[\d\.]+)/icu4c-([\d_\.]+)-src.tgz

## icu 55.1

=== source/samples/csdet/Makefile ===
# Copyright (c) 2000-2007 IBM, Inc. and others
# sample code makefile

# Usage:
#  - configure, build, install ICU (make install)
#  - make sure "icu-config" (in the ICU installed bin directory) is on
#     the path
#  - do 'make' in this directory

#### definitions
# Name of your target
TARGET=csdet

# All object files (C or C++)
OBJECTS=csdet.o

#### rules
# Load in standard makefile definitions
include ../defs.mk

# the actual rules (this is a simple sample)
include ../rules.mk

=== debian/changelog ===
icu (55.1-7) unstable; urgency=high

  * Fix CVE-2015-2632 vulnerability.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Jan 2016 16:44:55 +0100

icu (55.1-6) unstable; urgency=low

  * Don't force libicu-dev to depend on g++ (closes: #799100, #799101).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Nov 2015 19:07:10 +0100

icu (55.1-5) unstable; urgency=high

  * Correct patch for CVE-2015-1270 (closes: #798647).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 11 Sep 2015 15:23:53 +0000

icu (55.1-4) unstable; urgency=low

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Support parallel building (closes: #794617).
  * Support cross compilation (closes: #784668).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Aug 2015 10:39:07 +0000

icu (55.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on hurd-i386 (Samuel Thibault). Closes: #794404.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 12:21:04 +0200

icu (55.1-3) unstable; urgency=high

  * Fix CVE-2015-1270 .
  * Add fixes for CVE-2014-6585.patch and CVE-2015-4760.patch .
  * Upload to unstable for GCC 5 transition (closes: #791072).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Aug 2015 14:13:05 +0200

icu (55.1-2) experimental; urgency=low

  [ Matthias Klose <doko@debian.org> ]
  * Build using GCC 5.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Jul 2015 12:33:19 +0000

icu (55.1-1) experimental; urgency=low

  * New upstream release (closes: #779245).
  * Remove two-digit-year-test.patch , mlym-crash.patch and icu-config.patch
    as applied upstream.
  * Doesn't build with clang (closes: #778501).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Apr 2015 07:57:47 +0000

icu (52.1-8) unstable; urgency=high

  * New maintainer (closes: #777694).
  * Update Standars-Version to 3.9.6 .

  [ Michael Gilbert <mgilbert@debian.org> ]
  * Apply a more complete fix for CVE-2014-7940 (closes: #780503).
    - Thanks to Marc Deslauriers.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Mar 2015 11:14:15 +0000

icu (52.1-7.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Unfixed issue from the previous upload (closes: #776264)
    - CVE-2014-6585: out-of-bounds read.
  * Issues fixed in chromium 40.0.2214.91 (closes: #776265, #776719).
    - CVE-2014-7923: memory corruption in regular expression comparison.
    - CVE-2014-7926: memory corruption in regular expression comparison.
    - CVE-2014-7940: uninitialized memory in i18n/icol.cpp.
    - CVE-2014-9654: more regular expression handling issues.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 15 Feb 2015 22:19:14 +0000

icu (52.1-7) unstable; urgency=high

  * Patch to CVE-2014-6591, CVE-2014-6585 a font parsing bug.
    (Closes: #775884)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 21 Jan 2015 21:33:19 -0500

icu (52.1-6) unstable; urgency=medium

  * Ensure that only flags intended to be set by users make it into
    icu-config. Previously hardening flags were sneaking in there.
    (Closes: #759792)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 29 Sep 2014 09:59:09 -0400

icu (52.1-5) unstable; urgency=medium

  * Switch hardening back to dpkg-buildflags. It wasn't previously working
    but now is, probably because of other bugfixes that have happened in
    the mean time.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 26 Jul 2014 12:54:32 -0400

icu (52.1-4) unstable; urgency=medium

  * Fix test case that fails with gcc 4.9. Fix is from upstream. (Closes:
    #746860)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jun 2014 16:52:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: icu
 Section: libs
 Priority: optional
-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), autotools-dev, hardening-wrapper
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Standards-Version: 3.9.6
+Build-Depends: cdbs (>= 0.4.106~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), autotools-dev, g++ (>= 4:5-0), g++-5 (>= 5.2.1-10)
 Build-Depends-Indep: doxygen (>= 1.7.1)
+Build-Conflicts: clang
 Homepage: http://www.icu-project.org
 
-Package: libicu52
+Package: libicu55
 Section: libs
 Multi-Arch: same
 Architecture: any
@@ -18,12 +19,12 @@
  Unicode and locale support.  This package contains the runtime
  libraries for ICU.
 
-Package: libicu52-dbg
+Package: libicu55-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libicu52 (= ${binary:Version})
+Depends: ${misc:Depends}, libicu55 (= ${binary:Version})
 Description: International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support.  This package contains debugging symbols
@@ -34,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, libicu52 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev
+Depends: ${misc:Depends}, ${shlibs:Depends}, libicu55 (= ${binary:Version}), icu-devtools (>= ${binary:Version}), libc6-dev | libc-dev, libstdc++-5-dev (>= 5.2.1-10)
 Suggests: icu-doc
 Description: Development files for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
@@ -47,8 +48,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 52.1-3~)
-Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 52.1-3~)
+Replaces: libicu-dev (<< ${binary:Version}), icu-tools (<< 55.1-1~)
+Breaks: libicu-dev (<< ${binary:Version}), icu-tools (<< 55.1-1~)
 Description: Development utilities for International Components for Unicode
  ICU is a C++ and C library that provides robust and full-featured
  Unicode and locale support. This package contains programs used to

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
 
-export DEB_BUILD_HARDENING=1
+DEB_BUILD_PARALLEL=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+include /usr/share/dpkg/buildflags.mk
 
 # Install all ICU headers files in the architecture-specific location.
 # While most files are platform-independent, platform.h is different
@@ -15,13 +19,30 @@
 # than for use by cdbs), we adopt the convention of starting local
 # variables' names with l_.
 
-l_SONAME := 52
+l_SONAME := 55
 
 # Turn off optimization on armel to avoid some internal compiler
 # errors.  This can be removed once bug 484053 is resolved.
 ifeq ($(shell dpkg --print-architecture),armel)
 CFLAGS := $(filter-out -O%,$(CFLAGS)) -O0
 CXXFLAGS := $(filter-out -O%,$(CXXFLAGS)) -O0
+endif
+
+DEB_BUILDDIR = build
+DEB_MAKE_FLAVORS = hostarch
+ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+DEB_MAKE_FLAVORS += buildarch
+DEB_CONFIGURE_FLAGS_buildarch = --host=$(DEB_BUILD_GNU_TYPE)
+DEB_CONFIGURE_FLAGS_hostarch = --with-cross-build=$(CURDIR)/build/buildarch
+debian/stamp-autotools/buildarch: DEB_CONFIGURE_CROSSBUILD_ARGS=
+# do not force a cross compiler for the native build
+debian/stamp-makefile-build/buildarch: DEB_MAKE_ENVVARS=
+# do not install the buildarch flavor
+debian/stamp-makefile-install/buildarch: DEB_MAKE_INSTALL_TARGET=
+debian/stamp-autotools/hostarch: debian/stamp-makefile-build/buildarch
+	mkdir -p build/hostarch
+	$(DEB_CONFIGURE_INVOKE) $(cdbs_configure_flags) $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_CONFIGURE_USER_FLAGS)
+	touch $@
 endif
 
 # Include cdbs rules files.
@@ -42,6 +63,7 @@
 
 clean::
 	$(RM) *.cdbs-config_list
+	$(RM) -R build
 
 # The libicudata library contains no symbols, so its debug library is
 # useless and triggers lintian warnings.  Just remove it.

## icu 57.1

=== debian/changelog ===
icu (57.1-6ubuntu0.3) artful-security; urgency=medium

  * SECURITY UPDATE: integer overflow in Persian Cal
    - debian/patches/CVE-2017-15422.patch: use int64_t math for one
      operation to avoid overflow, add tests in source/i18n/gregoimp.cpp,
      source/i18n/gregoimp.h, source/i18n/persncal.cpp,
      source/test/intltest/calregts.cpp, source/test/intltest/calregts.h.
    - CVE-2017-15422

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Mar 2018 10:38:48 -0400

icu (57.1-6ubuntu0.2) artful-security; urgency=medium

  * SECURITY UPDATE: double free
    - debian/patches/CVE-2017-14952.patch: fixes double free in
      createMetaZoneMappings() source/i18n/zonemeta.cpp.
    - CVE-2017-14952
  * Disable self-test failure on x86 arch due to French locale

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 23 Oct 2017 11:38:17 -0300

icu (57.1-6) unstable; urgency=high

  * Backport upstream security fix for CVE-2017-7867 and CVE-2017-7868,
    heap-buffer-overflow in utf8TextAccess (closes: #860314).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Apr 2017 08:50:52 +0000

icu (57.1-5) unstable; urgency=high

  * Backport upstream fix for CVE-2016-7415: stack-based buffer overflow in
    the Locale class via a long locale string (closes: #838694).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Nov 2016 10:58:31 +0000

icu (57.1-4) unstable; urgency=high

  * Backport upstream fix for CVE-2016-0494: integer signedness issue in
    IndicRearrangementProcessor.
  * Backport upstream fix for CVE-2016-6293: the uloc_acceptLanguageFromHTTP
    function does not ensure that there is a '\0' character at the end of a
    certain temporary array.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 07 Sep 2016 22:17:44 +0000

icu (57.1-3) unstable; urgency=low

  * Update libicu-dev dependency of libstdc++-dev (closes: #833938).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 10 Aug 2016 16:57:09 +0000

icu (57.1-2) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Implement cross build support again for debhelper packaging
    (closes: #833416).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Aug 2016 04:57:45 +0000

icu (57.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Update Standars-Version to 3.9.8.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Aug 2016 20:49:39 +0200

icu (57.1-1) experimental; urgency=low

  * New major upstream release (closes: #804026).
  * Update package names due to soname bump.
  * Add icu-devtools debug package.
  * Drop CVE-2015-2632.patch as this release contains it.
  * Update patches.
  * Keep rebuildable.
  * Update Standars-Version to 3.9.7 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Move icu-config to a M-A:no package (closes: #776821).
    + Move icu-config from icu-devtools to libicu-dev.
    + Declare relevant Breaks and Replaces.
    + Remove Multi-Arch:same from libicu-dev.

  [ Guido Günther <agx@sigxcpu.org> ]
  * Add build and smoke autopkgtest (closes: #813338).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Mar 2016 10:46:16 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

l_SONAME=57

override_dh_clean:
	dh_clean
	find $(CURDIR)/source/ \( -name Makefile -o -name pkgdataMakefile \) \
		-exec rm {} \;
	rm -Rf build-native

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dh_auto_configure -- --enable-static
else
	dh_auto_configure -B $(CURDIR)/build-native -- --host=$(DEB_BUILD_GNU_TYPE)
	dh_auto_build -B $(CURDIR)/build-native
	dh_auto_configure -- --enable-static --with-cross-build=$(CURDIR)/build-native
endif

override_dh_auto_build:
	dh_auto_build --parallel
	$(MAKE) -C $(CURDIR)/source/ doc

override_dh_auto_test:
ifeq (,$(findstring $(DEB_BUILD_ARCH),i386 hurd-i386 kfreebsd-i386))
	dh_auto_test
else
	# French locale has test problems on x86 architectures
	-dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(CURDIR)/source/ install-doc DESTDIR=$(CURDIR)/debian/tmp/
	# delete extra license file
	rm  $(CURDIR)/debian/tmp/usr/share/icu/57.1/LICENSE

override_dh_installdocs-indep:
	dh_installdocs -i
	# symlink duplicated files
	for file in `find debian/icu-doc/usr/share/doc/icu-doc/html/ -name \*icu_1_1\*`; do \
		normal=`echo $$file | sed s/icu_1_1//`; \
		if [ -f $$normal ]; then \
			rm $$file; \
			ln -s `basename $$normal` $$file; \
		fi; \
	done

override_dh_strip:
	dh_strip -plibicu$(l_SONAME) --dbg-package=libicu$(l_SONAME)-dbg
	dh_strip -picu-devtools --dbg-package=icu-devtools-dbg
	# libicudata library doesn't contain any debug symbols, remove that
	for file in `find debian/libicu$(l_SONAME)-dbg/usr/lib/debug -type f -print`; do \
		if ! nm -a $$file | grep -q debug; then rm $$file; fi; \
	done

%:
	dh $@ --sourcedirectory=$(CURDIR/)source/ --parallel

.PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_build \
	override_dh_auto_install override_dh_installdocs-indep \
	override_dh_strip
